﻿<%@ Page ValidateRequest="false" Language="C#" MasterPageFile="~/umbraco/masterpages/umbracoDialog.Master" AutoEventWireup="true" CodeBehind="MapValues.aspx.cs" Inherits="Dascoba.Umb.CascadingProperties.Pages.MapValues" %>
<%@ Register TagPrefix="umb" Namespace="umbraco.uicontrols" Assembly="controls" %>
<asp:Content runat="server" ID="Head" ContentPlaceHolderID="head">
    <style type="text/css">
        .propertyItemheader { width: 40% !important }
        .mappingWrapper { overflow: auto !important;height: 220px !important }
        .small { font-size: 7pt;font-style:italic;font-weight: bold }
        .propertyTitle { font-weight: bolder;font-size: larger;white-space:nowrap }
        .footer { width: 100% }
        .info { float: left;padding: 5px;font-size: 8pt; white-space: nowrap }
        .buttons { float: right;text-align: right;padding: 5px }
        .red {color: red}
        .blue {color:blue}
        hr { border: 1px solid #D9D7D7 }
    </style>
    <script type="text/javascript">
        $(function () {
            $("#body_pnlWrapper .propertypane").addClass("mappingWrapper");
        });
    </script>
</asp:Content>
<asp:Content runat="server" ID="Body" ContentPlaceHolderID="body">
    <umb:Pane ID="relationsPane" Width="100%" Text="Relations" runat="server">
        <umb:PropertyPanel ID="ppPropertyParent" Text="Parent" runat="server">
            <asp:HyperLink ID="hlPropertyParent" NavigateUrl="MapValues.aspx" runat="server"></asp:HyperLink>
            <asp:Label ID="lblNoParent" Visible="false" runat="server">N/A</asp:Label>
        </umb:PropertyPanel>
        <umb:PropertyPanel ID="ppPropertyCurrent" Text="Property" runat="server">
            <asp:Label ID="txtPropertyCurrent" runat="server"></asp:Label>
        </umb:PropertyPanel>
        <umb:PropertyPanel ID="ppPropertyChildren" Text="Children" runat="server">
            <asp:PlaceHolder ID="plhPropertyChildren" runat="server"></asp:PlaceHolder>
        </umb:PropertyPanel>
    </umb:Pane>
    <umb:Pane ID="settingsPane" Width="100%" Text="Settings" runat="server">
        <umb:PropertyPanel ID="ppPropertyAllowedParents" Text="Allowed Parent(s)" runat="server">
            <asp:DropDownList ID="ddlPropertyAllowedParents" runat="server"></asp:DropDownList>
            <asp:Literal ID="litParentInformation" Visible="false" runat="server"></asp:Literal>
        </umb:PropertyPanel>
        <umb:PropertyPanel ID="ppEmptyMessage" Text="'No Options' Message" Visible="false" runat="server">
            <asp:TextBox ID="txtEmptyMessage" Rows="3" Columns="30" TextMode="MultiLine" runat="server"></asp:TextBox>
            <br/><span class="small">Example: "Select an option above..."</span>
        </umb:PropertyPanel>
        <umb:PropertyPanel ID="ppCascadeType" Text="Cascade Type" Visible="false" runat="server">
            <asp:DropDownList ID="ddlCascadeType" runat="server"></asp:DropDownList>
        </umb:PropertyPanel>
    </umb:Pane>
    <asp:Panel ID="pnlWrapper" Width="100%" runat="server">
        <umb:Pane ID="standardPane" Text="Standard Cascade"  Width="100%" Visible="false" runat="server"/>
        <umb:Pane ID="filteredPane" Text="Filtered Cascade" Width="100%" Visible="false" runat="server"/>
    </asp:Panel>
    <div class="footer">
        <div class="info">
            <asp:Label CssClass="small" runat="server" ID="lblInformation"></asp:Label>
        </div>
        <div class="buttons">
            <asp:Button runat="server" ID="btnClose" Text="Close" OnClick="btnClose_Click"/>
            <asp:Button runat="server" ID="btnSave" Text="Save Mapping" onclick="btnSave_Click"/>
        </div>
    </div>
</asp:Content>
<asp:Content runat="server" ID="Footer" ContentPlaceHolderID="footer">
</asp:Content>
